Subject: Re: [PATCH 2/2] at86rf230: change irq handling to prevent lockups with edge type irq

From: Werner Almesberger <[email-masked]>
Date: Mon, 8 Apr 2013 12:35:21 -0300

Sascha Herrmann wrote:
> Maybe one way to eliminate the extra latency of the second register read
> would be to split the interrupt handling function into a generic part
> and two different functions to handle the different types of interrupts:

Yes, if you want to optimize the number of register accesses and
work queue invocations, splitting the paths that touch interrupts
seems to be the most straightforward approach.

> If you think the solution above would be ok, I could try to send a
> version which allows the configuration of trigger type and level.

Sounds good to me. Pity the irq_get_irq_type() you mentioned
doesn't exist. That would have made things a bit nicer.

- Werner